## xbuffy 3.3.bl.2

=== libdyn/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# A GNU autoconf makefile for xbuffy
#

CPPFLAGS= -I..

OBJS = dyn_create.o dyn_put.o dyn_debug.o dyn_delete.o dyn_size.o \
       dyn_append.o dyn_realloc.o dyn_paranoid.o dyn_insert.o
HDRS = dyn.h dynP.h



libdyn.a: $(OBJS)
	ar rc libdyn.a $(OBJS)
	-ranlib libdyn.a

clean:
	rm -f *.o libdyn.a *~
