## xbuffy 3.3.bl.3

=== libdyn/Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # A GNU autoconf makefile for xbuffy
 #
 
-CPPFLAGS= -I..
 
 OBJS = dyn_create.o dyn_put.o dyn_debug.o dyn_delete.o dyn_size.o \
        dyn_append.o dyn_realloc.o dyn_paranoid.o dyn_insert.o
