## xbuffy 3.3.bl.3.dfsg

=== debian/changelog ===
xbuffy (3.3.bl.3.dfsg-8+deb7u1build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 12 May 2015 16:06:09 -0700

xbuffy (3.3.bl.3.dfsg-8+deb7u1) wheezy-security; urgency=medium

  * Security-Upload
  * replace subject indent patch to fix
    CVE-2014-0469 xbuffy stack-based buffer overflow in subject processing
  * refresh following patches where necessary

 -- Bernhard R. Link <brlink@debian.org>  Sun, 27 Apr 2014 20:13:53 +0200

xbuffy (3.3.bl.3.dfsg-8) unstable; urgency=low

  * Import package into git, generate debian/patches from git
  * Use -z defs instead of -z syms so binutils-gold is happy
  * fix spelling error in manpage

 -- Bernhard R. Link <brlink@debian.org>  Fri, 01 Jan 2010 18:12:56 +0100

xbuffy (3.3.bl.3.dfsg-7) unstable; urgency=low

  * refresh ident_subject.patch, so it can also be applied
    by dpkg-source when quilt is not installed.

 -- Bernhard R. Link <brlink@debian.org>  Sat, 31 Oct 2009 16:35:32 +0100

xbuffy (3.3.bl.3.dfsg-6) unstable; urgency=low

  * modernize package
  - move patches to debian/patches, add DEP3 description headers
  - use format 3.0 (quilt)
  - update standards version

 -- Bernhard R. Link <brlink@debian.org>  Tue, 27 Oct 2009 19:29:09 +0100

xbuffy (3.3.bl.3.dfsg-5) unstable; urgency=low

  * clean up debian/rules:
  - call make via $(MAKE) so that -jN works
  - move to debhelper compatibility level 5
  - modernize (build-arch, dh_install, proper distclean, no config-stamp, ...)
  * update debian/menu to new section names
  * add Homepage: field

 -- Bernhard R. Link <brlink@debian.org>  Sun,  2 Dec 2007 15:05:53 +0100

xbuffy (3.3.bl.3.dfsg-4) unstable; urgency=low

  * Specify manpage path to avoid problems with newer autoconfs
    (Closes: 376429)

 -- Bernhard R. Link <brlink@debian.org>  Wed,  5 Jul 2006 21:44:41 +0200

xbuffy (3.3.bl.3.dfsg-3) unstable; urgency=low

  * The "never stop unless you understand or you will have to do it
    again" release
  * now really fix the spacing issue (Closes: 365648)
  * fix bug that application defaults are not shipped when xbuffy is
    installed in the build system

 -- Bernhard R. Link <brlink@debian.org>  Tue,  2 May 2006 22:26:44 +0200

xbuffy (3.3.bl.3.dfsg-2) unstable; urgency=low

  * fix error parsing mails some mailers generate (Closes: 363002)
  * adopt to new location of X libraries
  * add AC_PREREQ(2.50) to avoid build-conflicting with autoconf2.13

 -- Bernhard R. Link <brlink@debian.org>  Fri, 21 Apr 2006 09:15:01 +0200

xbuffy (3.3.bl.3.dfsg-1) unstable; urgency=low

  * repackaged upstream source to remove all files
    with strange copyright notices and some build system stuff
  * correct debian/copyright file, including the copyright
    of all source files.
  * no longer use dpatch
  * adding build-dep to autoconf to generate configure
    from the now heavily changed configure.in at build time
  * give proper options to ./configure
    (like --host and --build and CFLAGS=)
  * to not link against libraries not used or with flags not needed.
  * add watch file
  * Retry autodetection when mailbox is not statable (Closes: 168910)

 -- Bernhard R. Link <brlink@debian.org>  Sat,  1 Apr 2006 15:25:39 +0200

xbuffy (3.3.bl.3-25) unstable; urgency=low

  * bump stardard-version field
  * move menu file to /usr/share/menu (no change needed for that)
  * use dpkg-architecture -qDEB_HOST_ARCH_OS instead of
    DEB_HOST_GNU_SYSTEM to decide if we are under Linux.
  * default to not suiding the led binary, document how the
    user can suid it via dpkg-statoverride

 -- Bernhard R. Link <brlink@debian.org>  Sat,  6 Aug 2005 13:34:44 +0200

xbuffy (3.3.bl.3-24) unstable; urgency=low

  * new da.po translation from Morten Bo Johansen (Closes: #285974)
  * new -silent switch to suppress all audio output. (Closes: 184750)
  * add direct include to string.h in xbuffy.c to avoid problems...

 -- Bernhard R. Link <brlink@debian.org>  Mon,  3 Jan 2005 13:40:13 +0100

xbuffy (3.3.bl.3-23) unstable; urgency=low

  * New Maintainer (Closes: #242098)
  * using /usr instead of /usr/X11R6
  * Tidy up a bit:
    - split patches in smaler parts
    - corrected some typos and missing escapes
    - added many missing includes and prototypes
    - removed spurious label (Closes: #259931)
  * now using $HOME/.xbuffyrc if no mailboxes specified (Closes: #55466)
  * changed -center and -fill slightly to leave more space (Closes: #184075)
  * PO File updates:
    - added the jo.po file from Hideki Yamane (Closes: #267671)
    - rewrote de.po
  * added checkfile mailboxtype to simple show the size of a file
  * converted debian/changeloge to unicode

 -- Bernhard R. Link <brlink@debian.org>  Sat, 16 Oct 2004 14:53:50 +0200

xbuffy (3.3.bl.3-22) unstable; urgency=low

  * Orphaned.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Apr 2004 20:53:48 +0200

xbuffy (3.3.bl.3-21) unstable; urgency=low

  * Added Dutch debconf template from Tim Vandermeersch.
    Closes: bug#209100.
  * Made libxaw7-dev a build dependency instead of libxaw-dev.
  * Standards-Version 3.6.1.

 -- Joel Rosdahl <joel@debian.org>  Sat, 18 Oct 2003 21:46:08 +0200

xbuffy (3.3.bl.3-20) unstable; urgency=low

  * Use colon instead of period between user and group in chown call.
    Closes: bug#205533.

 -- Joel Rosdahl <joel@debian.org>  Fri, 15 Aug 2003 11:23:46 +0200

xbuffy (3.3.bl.3-19) unstable; urgency=low

  * Use dpatch for patch management.
  * Updated Standards-Version to 3.5.10.
  * Added patch (from Albert Ting) which fixes the flags nobeep and
    nohighlight and indents the subject text somewhat.

 -- Joel Rosdahl <joel@debian.org>  Fri, 18 Jul 2003 11:21:26 +0200

xbuffy (3.3.bl.3-18) unstable; urgency=low

  * Added French debconf template. Patch from Michel Grentzinger.
    Closes: bug#199641.

 -- Joel Rosdahl <joel@debian.org>  Wed,  2 Jul 2003 10:00:29 +0200

xbuffy (3.3.bl.3-17) unstable; urgency=low


