=== debian/control ===
Source: xbuffy
Section: mail
Priority: optional
Maintainer: Bernhard R. Link <brlink@debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), libxt-dev (>= 1:1.0), libxaw7-dev (>= 1:1.0), dpkg-dev (>= 1.13.2), autoconf
Homepage: http://www.fiction.net/blong/programs/#xbuffy
Vcs-Browser: http://git.debian.org/?p=users/brlink/xbuffy.git;a=summary
Vcs-Git: git://git.debian.org/~brlink/xbuffy.git

Package: xbuffy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: monitor mailboxes and/or newsgroups
 Xbuffy is a program that displays how many unread mails you have in
 your different mailboxes.  You can have different titles for the
 mailboxes, and define what shall happen when a new mail arrives.  It
 can beep and invoke a shell command, for example.
 .
 If you press mouse button 1 on the title associated with a mail box,
 a list of From: and Subject: lines of the mails in the mail spool file
 is shown.  If you press mouse button 2, an arbitrary command is
 executed.
 .
 Xbuffy can similarly watch newsgroups via NNTP.
